---
updatedAt: 2026-10-06T10:14:02.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get applicant data from Non-Doc Verification

# Overview

Use this method to retrieve [Non-Doc verification](https://docs.sumsub.com/sumsub/docs/no-document-verification) results.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View check results** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?applicantId=67346d0623c6334998900000&type=E_KYC_CHECK' \
     -H 'accept: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response represents a list of checks.

## Root variables

The root variables (in the `checks` array) are the core check result data items. Some of them may include nested attributes and element fields.

| Field                     | Type                                          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| :------------------------ | :-------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                      | String                                        | Unique identifier of the check.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `answer`                  | String                                        | <p>Verification result:</p><ul><li><code>GREEN</code> — verification passed successfully.</li><li><code>YELLOW</code> — verification is still in progress; the applicant has not completed all required steps.</li><li><code>RED</code> — verification indicates a high-risk result. The applicant data does not match the database record, or no data was found. See the <a href="ref:get-non-doc-applicant-data#response-examples">response examples</a> for more information.</li><li><code>ERROR</code> — verification was not completed because the service was unavailable or the system failed to process the response.</li></ul> |
| `inputDoc`                | [Object](#inputdoc-attributes)                | Data used as input for the database verification.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `checkType`               | String                                        | Type of verification check performed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `sourceInfo.id`           | String                                        | Unique ID of the Database Solution (for example, `arg_gov_dni`, `bra_gov_cpf`).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `extractedDoc`            | [Object](#extracteddoc-attributes)            | Data retrieved from the external source. It may be absent if no data was received.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `createdAt`               | Date                                          | Date and time (UTC) of the latest check result.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `ekycCheckInfo`           | Object                                        | May include face-matching results from an external database and Non-Doc verification metadata. Can be empty.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `violations`              | Array of strings                              | [High-risk indicators](#violations-indicators), returned when `answer` is `RED`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `databasePersonCheckInfo` | [Object](#databasepersoncheckinfo-attributes) | Contains verification results and metadata for a database identity verification.<br />⚠️ Currently available only for [German eID Verification](https://docs.sumsub.com/sumsub/reference/germany).                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data provided by the applicant.

| Field              | Type   | Description                                                                                                                                                                             |
| :----------------- | :----- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `idDocType`        | String | [Type of the document or data](https://docs.sumsub.com/sumsub/reference/add-verification-documents#supported-document-types) provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT, DRIVERS`. |
| `country`          | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                                                                                                |
| `firstName`        | String | First name provided by the applicant.                                                                                                                                                   |
| `middleName`       | String | Middle name provided by the applicant.                                                                                                                                                  |
| `lastName`         | String | Last name provided by the applicant.                                                                                                                                                    |
| `number`           | String | Identification number provided by the applicant.                                                                                                                                        |
| `additionalNumber` | String | Additional identification number provided by the applicant.                                                                                                                             |
| `dob`              | Date   | Date of birth provided by the applicant, in format `YYYY-mm-dd` (for example, `2001-09-25`).                                                                                            |
| `address`          | Object | Address provided by the applicant.                                                                                                                                                      |
| `phone`            | String | Phone number provided by the applicant                                                                                                                                                  |

## `extractedDoc` attributes

The extractedDoc object includes the data obtained from the external source during Non-Doc verification.

| Field              | Type                                                 | Description                                                                                                                                                              |
| :----------------- | :--------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `country`          | String                                               | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                                                                                 |
| `idDocType`        | String                                               | Type of the identification number or document, retrieved from the external source. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`.                |
| `number`           | String                                               | Identification number.                                                                                                                                                   |
| `firstName`        | String                                               | Applicant full name.                                                                                                                                                     |
| `middleName`       | String                                               | Applicant middle name.                                                                                                                                                   |
| `lastName`         | String                                               | Applicant last name.                                                                                                                                                     |
| `aliasName`        | String                                               | Alternative first/last name or additional name.                                                                                                                          |
| `dob`              | Date                                                 | Applicant date of birth (format `YYYY-mm-dd`, for example, `2001-09-25`) as it is specified in the document.                                                             |
| `gender`           | String                                               | Gender of the applicant (`M`, `F`, or `X`).                                                                                                                              |
| `nationality`      | String                                               | Applicant country of origin. Presented as an [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code (for example, `DEU`, `GBR`, `ARG`).     |
| `placeOfBirth`     | String                                               | Applicant place of birth. This can be a city, a town or another settlement type. There is no length limit for this field.                                                |
| `stateOfBirth`     | String                                               | State, region, district, county or another territorial entity of birth inside a country, if applicable.                                                                  |
| `countryOfBirth`   | String                                               | Applicant country of birth. Presented as an ISO 3166-1 alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                          |
| `tin`              | String                                               | Taxpayer identification number that is unique to each taxpayer.                                                                                                          |
| `issueDate`        | Date                                                 | Date when the identity document was issued (format `YYYY-MM-DD`).                                                                                                        |
| `validUntil`       | Date                                                 | Date when the document validity expires (format `YYYY-MM-DD`).                                                                                                           |
| `issueAuthority`   | String                                               | Official name of the authority that issued the document.                                                                                                                 |
| `issueNumber`      | String                                               | Unique number assigned to the document by the issuing authority.                                                                                                         |
| `category`         | String                                               | Category of a document, visa, or identification number.                                                                                                                  |
| `phone`            | String                                               | Applicant phone number.                                                                                                                                                  |
| `email`            | String                                               | Applicant email address.                                                                                                                                                 |
| `addresses`        | [Array of objects](#addresses-element-fields)        | Includes data objects containing the applicant address details retrieved from the external database.                                                                     |
| `additionalFields` | [Array of objects](#additionalfields-element-fields) | A collection of key-value pairs, representing additional information retrieved from the external database. See [response examples ](#response-examples)for more details. |
| `images`           | Array of objects                                     | ID of selfie or document image obtained from the external database. See response examples for more details.                                                              |

## `addresses` element fields

The following table explains the `addresses` element fields containing the applicant address details.

| Field              | Type   | Description                                                                                                      |
| :----------------- | :----- | :--------------------------------------------------------------------------------------------------------------- |
| `buildingName`     | String | Building name.                                                                                                   |
| `flatNumber`       | String | Flat or apartment number.                                                                                        |
| `subStreet`        | String | Additional information related to the street. This could be a house number or any other details.                 |
| `street`           | String | Street name.                                                                                                     |
| `state`            | String | State, region, district, county or another territorial entity inside a country.                                  |
| `buildingNumber`   | String | Building number.                                                                                                 |
| `town`             | String | City, town, or another settlement.                                                                               |
| `postCode`         | String | Address postal code.                                                                                             |
| `country`          | String | [Alpha-3 country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) (for example,  `DEU`, `GBR`, `ARG`).    |
| `formattedAddress` | String | Address in a human readable format. For example, `Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany`. |
| `source`           | String | Always `externalDb`. Indicates that the address was retrieved from the external database.                        |

## `additionalFields` element fields

An array of key-value pairs providing non-standard additional information.

Example:

```json
{
  "name": "fileNumber",
  "value": "000323042233"
}
```

<Callout icon="📘" theme="info">
  ### Note

  Refer to the [response examples](#response-examples) for a specific solution to obtain the list of relevant additional fields and their descriptions.
</Callout>

## `ekycCheckInfo` attributes

The following table explains the `ekycCheckInfo` attributes.

| Field               | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| :------------------ | :------ | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `externalFaceMatch` | Boolean | Indicates that the face matching was performed in the external database.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `faceMatchAnswer`   | String  | <p>External database face match verification results:</p><ul><li><code>GREEN</code> — applicant selfie matches the photo from the external database.</li><li><code>YELLOW</code> — probability of a selfie match is not high enough to be considered successful. The user needs to take a new selfie.</li><li><code>RED</code> — applicant selfie does not match the photo in the external source.</li><li><code>ERROR</code> — no photo available in the external database, or the system failed to process the face match verification.</li><li><code>IGNORED</code> — face match verification has been skipped.</li></ul> |
| `faceMatchScore`    | Double  | Numerical confidence score of the face match result in the range from `0` to `1`. Higher value indicates a higher probability of a match.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `selfieImageId`     | Integer | ID of the applicant selfie image, used for face match verification.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `confirmationType`  | String  | <p>Confirmation type, if available:</p><ul><li><code>oAuth</code> — Non-Doc verification confirmed by authorization in an external service, such as a bank account, national digital identification system, and so on.</li><li><code>eID</code> — Non-Doc verification confirmed by NFC verification using the eID card.</li><li><code>otp</code> — Non-Doc verification confirmed by OTP-code.</li></ul>                                                                                                                                                                                                                    |
| `confirmationId`    | String  | Unique identifier of the eKYC confirmation session.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `skipped`           | Boolean | Indicates if the Non-Doc verification step was skipped in the SDK. This field is only returned if skipping the Non-Doc step is permitted in the Non-Doc settings.                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

## `databasePersonCheckInfo` attributes

The `databasePersonCheckInfo` object includes verification results and metadata for database verification.

| Field              | Type                                             | Description                                                                                                                                     |
| ------------------ | ------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `processingEvents` | [Array of objects](#processingevents-attributes) | Timeline of events captured throughout the verification lifecycle.<br />⚠️ Currently available only for [German eID Verification](https://docs.sumsub.com/sumsub/reference/germany). |

## `processingEvents` attributes

The processingEvents object represents an individual audit entry within the verification lifecycle.

| Field   | Type   | Description                                                                       |
| ------- | ------ | --------------------------------------------------------------------------------- |
| `event` | String | Unique identifier of the event (for example, `eidGeneralError`, `eidCardLocked`). |
| `date`  | Date   | Date and time (UTC) of the event.                                                 |

# `violations` indicators

| Indicator                           | Description                                                                                                   |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| `ACCOUNT_NOT_FOUND`                 | Provided account details were not found in the records.                                                       |
| `ACCOUNT_NOT_OPEN`                  | Provided account is closed, dormant, or inactive.                                                             |
| `ACCOUNT_TYPE_MISMATCH`             | Provided account type does not match the database record.                                                     |
| `ADDRESS_MISMATCH`                  | Provided address doesn't match the records in external sources.                                               |
| `AUTHENTICATION_FAILED`             | OAuth authentication failed due to a system error.                                                            |
| `AUTHORIZATION_DENIED`              | User cancelled the process or denied permission to share data during the OAuth flow.                          |
| `BDATE_MISMATCH`                    | Provided date of birth does not match the database record.                                                    |
| `DATA_NOT_FOUND`                    | Data not found.                                                                                               |
| `DEAD`                              | Deceased person.                                                                                              |
| `DOC_EXPIRED`                       | Applicant identification document expired.                                                                    |
| `EXTERNAL_DB_SUSPICIOUS`            | External database returns data that appears unusual, inconsistent, or flagged for potential fraud.            |
| `GENDER_MISMATCH`                   | Provided gender does not match the database record.                                                           |
| `ID_NUMBER_MISMATCH`                | Provided identification number does not match the database record.                                            |
| `INVALID_DOC_NUMBER`                | Invalid identification or tax number.                                                                         |
| `INVALID_ID_STATUS`                 | Document or tax status is invalid.                                                                            |
| `NAME_MISMATCH`                     | Provided full name does not match the database record.                                                        |
| `NOT_ENOUGH_DATA`                   | Insufficient data available in the external source to complete verification.                                  |
| `PERSON_IS_MINOR`                   | Person is underage.                                                                                           |
| `SELFIE_MISMATCH`                   | Provided selfie doesn’t match the photo in the external source.                                               |
| `VERIFICATION_REQUIREMENTS_NOT_MET` | There is insufficient data matching the external source, or some verification requirements have not been met. |

# Response examples

If the request is successfully sent and processed, you will get a response like one of those below.

```json GREEN
{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2024-03-21 11:39:23",
      "id": "6fe0ec3b-c6d8-4c53-afc6-f33751dbf1c2",
      "sourceInfo": {
        "id": "bra_gov_cpf"
      },
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "BRA",
        "number": "07244434529"
      },
      "extractedDoc": {
        "firstName": "LUCAS OLIVEIRA",
        "aliasName": "MARIA LURDES",
        "gender": "M",
        "dob": "1991-01-15",
        "placeOfBirth": "BRASILEIRA",
        "additionalFields": [
          {
            "name": "registrationStatus",
            "value": "Regular"
          },
          {
            "name": "fatherName",
            "value": "JOHN DOE"
          }
        ]
      },
      "ekycCheckInfo": {
        "externalFaceMatch": true,
        "faceMatchAnswer": "GREEN",
        "selfieImageId": 118005011,
        "faceMatchScore": 0.9491729928035084
      }
    }
  ]
}
```
```json YELLOW
{
  "checks": [
    {
      "answer": "YELLOW",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2025-11-06 21:39:24",
      "id": "faf3469c-7320-4533-8d78-901072fb8f5b",
      "sourceInfo": {
        "id": "dnk_bankid_mitid"
      },
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "DNK"
      },
      "ekycCheckInfo": {
        "confirmationId": "TX0zGu2IT6YQYkMcMXTYorh8",
        "confirmationType": "oAuth"
      }
    }
  ]
}
```
```json RED
{
  "checks": [
    {
      "answer": "RED",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-02-06 10:35:15",
      "id": "4e45a3ca-ab7f-4d45-a2b8-91ea7ebd5e4e",
      "sourceInfo": {
        "id": "nga_gov_bvn"
      },
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "NGA",
        "number": "00000000000"
      },
      "ekycCheckInfo": {},
      "violations": [
        "DATA_NOT_FOUND"
      ]
    }
  ]
}
```
```json ERROR
{
  "checks": [
    {
      "answer": "ERROR",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2025-02-05 12:46:04",
      "id": "6bf059dc-03d6-4c4c-96d6-d4fec6245def",
      "sourceInfo": {
        "id": "uzb_gov_id"
      },
      "inputDoc": {
        "idDocType": "ID_CARD",
        "country": "UZB",
      },
      "ekycCheckInfo": {}
    }
  ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json 404
{
  "code": 404,
  "correlationId": "b77f6b1246aa8bd5a2032f66ba514dae",
  "description": "Applicant with id 6985c3c5ef3ef5fe99f5605d not found"
}
```

The following pages provide response examples per country:

* [Argentina](https://docs.sumsub.com/sumsub/reference/argentina)
* [Belgium](https://docs.sumsub.com/sumsub/reference/belgium)
* [Brazil](https://docs.sumsub.com/sumsub/reference/brazil)
* [Colombia](https://docs.sumsub.com/sumsub/reference/colombia)
* [Denmark](https://docs.sumsub.com/sumsub/reference/denmark)
* [France](https://docs.sumsub.com/sumsub/reference/france)
* [Germany](https://docs.sumsub.com/sumsub/reference/germany)
* [India](https://docs.sumsub.com/sumsub/reference/india)
* [Indonesia](https://docs.sumsub.com/sumsub/reference/indonesia)
* [Kazakhstan](https://docs.sumsub.com/sumsub/reference/kazakhstan)
* [Kenya](https://docs.sumsub.com/sumsub/reference/kenya)
* [Netherlands](https://docs.sumsub.com/sumsub/reference/netherlands)
* [Nigeria](https://docs.sumsub.com/sumsub/reference/nigeria)
* [Nigeria (Phone)](https://docs.sumsub.com/sumsub/reference/nigeria-phone)
* [Norway](https://docs.sumsub.com/sumsub/reference/norway)
* [Saudi Arabia](https://docs.sumsub.com/sumsub/reference/saudi-arabia)
* [Singapore](https://docs.sumsub.com/sumsub/reference/singapore)
* [South Africa](https://docs.sumsub.com/sumsub/reference/south-africa)
* [United Kingdom](https://docs.sumsub.com/sumsub/reference/united-kingdom)
* [USA](https://docs.sumsub.com/sumsub/reference/usa-tin-check)
* [Uzbekistan](https://docs.sumsub.com/sumsub/reference/uzbekistan)
* [Vietnam](https://docs.sumsub.com/sumsub/reference/vietnam)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/checks/latest": {
      "get": {
        "summary": "Get applicant data from Non-Doc Verification",
        "description": "",
        "operationId": "get-non-doc-applicant-data",
        "parameters": [
          {
            "name": "type",
            "in": "query",
            "description": "Check type.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "E_KYC_CHECK",
                "RESIDENCY_CHECK"
              ]
            }
          },
          {
            "name": "applicantId",
            "in": "query",
            "description": "Unique identifier of the applicant in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "GREEN": {
                    "value": {
                      "checks": [
                        {
                          "answer": "GREEN",
                          "checkType": "E_KYC_CHECK",
                          "createdAt": "2024-03-21 11:39:23",
                          "id": "6fe0ec3b-c6d8-4c53-afc6-f33751dbf1c2",
                          "sourceInfo": {
                            "id": "bra_gov_cpf"
                          },
                          "inputDoc": {
                            "idDocType": "TAX_PAYER_NUMBER_DOC",
                            "country": "BRA",
                            "number": "07244434529"
                          },
                          "extractedDoc": {
                            "firstName": "LUCAS OLIVEIRA",
                            "aliasName": "MARIA LURDES",
                            "gender": "M",
                            "dob": "1991-01-15",
                            "placeOfBirth": "BRASILEIRA",
                            "additionalFields": [
                              {
                                "name": "registrationStatus",
                                "value": "Regular"
                              },
                              {
                                "name": "fatherName",
                                "value": "JOHN DOE"
                              }
                            ]
                          },
                          "ekycCheckInfo": {
                            "externalFaceMatch": true,
                            "faceMatchAnswer": "GREEN",
                            "selfieImageId": 118005011,
                            "faceMatchScore": 0.9491729928035084
                          }
                        }
                      ]
                    }
                  },
                  "YELLOW": {
                    "value": {
                      "checks": [
                        {
                          "answer": "YELLOW",
                          "checkType": "E_KYC_CHECK",
                          "createdAt": "2025-11-06 21:39:24",
                          "id": "faf3469c-7320-4533-8d78-901072fb8f5b",
                          "sourceInfo": {
                            "id": "dnk_bankid_mitid"
                          },
                          "inputDoc": {
                            "idDocType": "OTHER",
                            "country": "DNK"
                          },
                          "ekycCheckInfo": {
                            "confirmationId": "TX0zGu2IT6YQYkMcMXTYorh8",
                            "confirmationType": "oAuth"
                          }
                        }
                      ]
                    }
                  },
                  "RED": {
                    "value": {
                      "checks": [
                        {
                          "answer": "RED",
                          "checkType": "E_KYC_CHECK",
                          "createdAt": "2026-02-06 10:35:15",
                          "id": "4e45a3ca-ab7f-4d45-a2b8-91ea7ebd5e4e",
                          "sourceInfo": {
                            "id": "nga_gov_bvn"
                          },
                          "inputDoc": {
                            "idDocType": "TAX_PAYER_NUMBER_DOC",
                            "country": "NGA",
                            "number": "00000000000"
                          },
                          "ekycCheckInfo": {},
                          "violations": [
                            "DATA_NOT_FOUND"
                          ]
                        }
                      ]
                    }
                  },
                  "ERROR": {
                    "value": "{\n  \"checks\": [\n    {\n      \"answer\": \"ERROR\",\n      \"checkType\": \"E_KYC_CHECK\",\n      \"createdAt\": \"2025-02-05 12:46:04\",\n      \"id\": \"6bf059dc-03d6-4c4c-96d6-d4fec6245def\",\n      \"sourceInfo\": {\n        \"id\": \"uzb_gov_id\"\n      },\n      \"inputDoc\": {\n        \"idDocType\": \"ID_CARD\",\n        \"country\": \"UZB\",\n      },\n      \"ekycCheckInfo\": {}\n    }\n  ]\n}\n"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "GREEN",
                      "type": "object",
                      "properties": {
                        "checks": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "answer": {
                                "type": "string",
                                "example": "GREEN"
                              },
                              "checkType": {
                                "type": "string",
                                "example": "E_KYC_CHECK"
                              },
                              "createdAt": {
                                "type": "string",
                                "example": "2024-03-21 11:39:23"
                              },
                              "id": {
                                "type": "string",
                                "example": "6fe0ec3b-c6d8-4c53-afc6-f33751dbf1c2"
                              },
                              "inputDoc": {
                                "type": "object",
                                "properties": {
                                  "idDocType": {
                                    "type": "string",
                                    "example": "TAX_PAYER_NUMBER_DOC"
                                  },
                                  "country": {
                                    "type": "string",
                                    "example": "BRA"
                                  },
                                  "number": {
                                    "type": "string",
                                    "example": "07244434529"
                                  }
                                }
                              },
                              "extractedDoc": {
                                "type": "object",
                                "properties": {
                                  "firstName": {
                                    "type": "string",
                                    "example": "LUCAS OLIVEIRA"
                                  },
                                  "aliasName": {
                                    "type": "string",
                                    "example": "MARIA LURDES"
                                  },
                                  "gender": {
                                    "type": "string",
                                    "example": "M"
                                  },
                                  "dob": {
                                    "type": "string",
                                    "example": "1991-01-15"
                                  },
                                  "placeOfBirth": {
                                    "type": "string",
                                    "example": "BRASILEIRA"
                                  },
                                  "additionalFields": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "name": {
                                          "type": "string",
                                          "example": "registrationStatus"
                                        },
                                        "value": {
                                          "type": "string",
                                          "example": "Regular"
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              "ekycCheckInfo": {
                                "type": "object",
                                "properties": {
                                  "externalFaceMatch": {
                                    "type": "boolean",
                                    "example": true,
                                    "default": true
                                  },
                                  "faceMatchAnswer": {
                                    "type": "string",
                                    "example": "GREEN"
                                  },
                                  "selfieImageId": {
                                    "type": "integer",
                                    "example": 118005011,
                                    "default": 0
                                  },
                                  "faceMatchScore": {
                                    "type": "number",
                                    "example": 0.9491729928035084,
                                    "default": 0
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "YELLOW",
                      "type": "object",
                      "properties": {
                        "checks": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "answer": {
                                "type": "string",
                                "example": "YELLOW"
                              },
                              "checkType": {
                                "type": "string",
                                "example": "E_KYC_CHECK"
                              },
                              "createdAt": {
                                "type": "string",
                                "example": "2025-11-06 21:39:24"
                              },
                              "id": {
                                "type": "string",
                                "example": "faf3469c-7320-4533-8d78-901072fb8f5b"
                              },
                              "inputDoc": {
                                "type": "object",
                                "properties": {
                                  "idDocType": {
                                    "type": "string",
                                    "example": "OTHER"
                                  },
                                  "country": {
                                    "type": "string",
                                    "example": "DNK"
                                  }
                                }
                              },
                              "ekycCheckInfo": {
                                "type": "object",
                                "properties": {
                                  "confirmationId": {
                                    "type": "string",
                                    "example": "TX0zGu2IT6YQYkMcMXTYorh8"
                                  },
                                  "confirmationType": {
                                    "type": "string",
                                    "example": "oAuth"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "RED",
                      "type": "object",
                      "properties": {
                        "checks": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "answer": {
                                "type": "string",
                                "example": "RED"
                              },
                              "checkType": {
                                "type": "string",
                                "example": "E_KYC_CHECK"
                              },
                              "createdAt": {
                                "type": "string",
                                "example": "2026-02-06 10:35:15"
                              },
                              "id": {
                                "type": "string",
                                "example": "4e45a3ca-ab7f-4d45-a2b8-91ea7ebd5e4e"
                              },
                              "inputDoc": {
                                "type": "object",
                                "properties": {
                                  "idDocType": {
                                    "type": "string",
                                    "example": "TAX_PAYER_NUMBER_DOC"
                                  },
                                  "country": {
                                    "type": "string",
                                    "example": "NGA"
                                  },
                                  "number": {
                                    "type": "string",
                                    "example": "00000000000"
                                  }
                                }
                              },
                              "ekycCheckInfo": {
                                "type": "object",
                                "properties": {}
                              },
                              "violations": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "DATA_NOT_FOUND"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Not found": {
                    "value": "{\n  \"code\": 404,\n  \"correlationId\": \"b77f6b1246aa8bd5a2032f66ba514dae\",\n  \"description\": \"Applicant with id 6985c3c5ef3ef5fe99f5605d not found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 404,
                      "default": 0
                    },
                    "correlationId": {
                      "type": "string",
                      "example": "b77f6b1246aa8bd5a2032f66ba514dae"
                    },
                    "description": {
                      "type": "string",
                      "example": "Applicant with id 6985c3c5ef3ef5fe99f5605d not found"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```